summaryrefslogtreecommitdiff
path: root/round-robin-bisect.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-03-27 05:46:28 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-03-27 05:46:28 +0000
commit870d69a48c85935071b55dabdbc76b23cbe8efe3 (patch)
tree838f0f16d4cb7c7f5a15d865212ec67dccd42cdc /round-robin-bisect.sh
parentbe240c9d7a1bd8859451e20acae2a63019206f33 (diff)
round-robin-bisect.sh: Fix get_first_bad (round #2)
Change-Id: I84422c29252794f3b24fb42840dc6ec55b197715
Diffstat (limited to 'round-robin-bisect.sh')
-rwxr-xr-xround-robin-bisect.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index 4eb4d9c0..df866f7a 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -237,7 +237,10 @@ $*" &
get_first_bad ()
{
(
- set -euf
+ # Allow pipefail to handle error exit codes from git bisect log and grep.
+ # Note that child shell inherits settings from parent shell, so we need
+ # excplicitly set "+o pipefail".
+ set -euf +o pipefail
if [ x"$first_bad" != x"" ]; then
echo "$first_bad"